<template>
     <div class='sm:h-screen sm:flex items-center sm:bg-xmas-gray sm:px-5'></div>
</template>

<script>

export default {
    props: ['token'],
    mounted() {
        this.attemptLogin();
    },
    methods: {
        attemptLogin() {
            axios.get('sanctum/csrf-cookie').then((r) => {
                axios.post('/api/login', { hash: this.token }).then((r) => {
                    if(r.data) {
                        this.$router.push('/');
                    } else {
                        this.$router.push('/dashboard');
                    }
                })
            })
        }
    },
}

</script>